package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;

/**
 * (ToBill)实体类
 *
 * @author makejava
 * @since 2023-11-21 10:41:19
 */
public class ToBillEntity extends BaseEntity {

    private String baddplanflag;
    private String bdrictflag;
    private String blatest;
    private String bpushbysoflag;
    private String cauditorid;
    private String cbillid;
    private String cbilltype;
    private String cbiztypeid;
    private String ccorrectbillid;
    private String cemployeeid;
    private String cincbid;
    private String cincorpid;
    private String cinwhid;
    private String clastmodifierid;
    private String coperatorid;
    private String coutcbid;
    private String coutcorpid;
    private String coutcurrtype;
    private String coutwhid;
    private String cprojectid;
    private String creviser;
    private String csettlepathid;
    private String csourcemodulename;
    private String ctakeoutcbid;
    private String ctakeoutcorpid;
    private String ctypecode;
    private String dauditdate;
    private String dbilldate;
    private String dplanbindate;
    private String dplanenddate;
    private Integer dr;
    private String drevisetime;
    private Integer fallocflag;
    private Integer foiwastpartflag;
    private Integer fotwastpartflag;
    private Integer fstatusflag;
    private Integer iprintcount;
    private Integer iversion;
    private Double nexchangeotoarate;
    private Double nexchangeotobrate;
    private Double ntotalmny;
    private Double ntotalnum;
    private String pkDefdoc1;
    private String pkDefdoc10;
    private String pkDefdoc11;
    private String pkDefdoc12;
    private String pkDefdoc13;
    private String pkDefdoc14;
    private String pkDefdoc15;
    private String pkDefdoc16;
    private String pkDefdoc17;
    private String pkDefdoc18;
    private String pkDefdoc19;
    private String pkDefdoc2;
    private String pkDefdoc20;
    private String pkDefdoc3;
    private String pkDefdoc4;
    private String pkDefdoc5;
    private String pkDefdoc6;
    private String pkDefdoc7;
    private String pkDefdoc8;
    private String pkDefdoc9;
    private String taudittime;
    private String tlastmodifytime;
    private String tmaketime;
    private String ts;
    private String vcode;
    private String vdef1;
    private String vdef10;
    private String vdef11;
    private String vdef12;
    private String vdef13;
    private String vdef14;
    private String vdef15;
    private String vdef16;
    private String vdef17;
    private String vdef18;
    private String vdef19;
    private String vdef2;
    private String vdef20;
    private String vdef3;
    private String vdef4;
    private String vdef5;
    private String vdef6;
    private String vdef7;
    private String vdef8;
    private String vdef9;
    private String vnote;
    private String vrevisereasonH;
    private String start_time_dbilldate;
    private String end_time_dbilldate;


    public String getBaddplanflag() {
        return baddplanflag;
    }

    public void setBaddplanflag(String baddplanflag) {
        this.baddplanflag = baddplanflag;
    }

    public String getBdrictflag() {
        return bdrictflag;
    }

    public void setBdrictflag(String bdrictflag) {
        this.bdrictflag = bdrictflag;
    }

    public String getBlatest() {
        return blatest;
    }

    public void setBlatest(String blatest) {
        this.blatest = blatest;
    }

    public String getBpushbysoflag() {
        return bpushbysoflag;
    }

    public void setBpushbysoflag(String bpushbysoflag) {
        this.bpushbysoflag = bpushbysoflag;
    }

    public String getCauditorid() {
        return cauditorid;
    }

    public void setCauditorid(String cauditorid) {
        this.cauditorid = cauditorid;
    }

    public String getCbillid() {
        return cbillid;
    }

    public void setCbillid(String cbillid) {
        this.cbillid = cbillid;
    }

    public String getCbilltype() {
        return cbilltype;
    }

    public void setCbilltype(String cbilltype) {
        this.cbilltype = cbilltype;
    }

    public String getCbiztypeid() {
        return cbiztypeid;
    }

    public void setCbiztypeid(String cbiztypeid) {
        this.cbiztypeid = cbiztypeid;
    }

    public String getCcorrectbillid() {
        return ccorrectbillid;
    }

    public void setCcorrectbillid(String ccorrectbillid) {
        this.ccorrectbillid = ccorrectbillid;
    }

    public String getCemployeeid() {
        return cemployeeid;
    }

    public void setCemployeeid(String cemployeeid) {
        this.cemployeeid = cemployeeid;
    }

    public String getCincbid() {
        return cincbid;
    }

    public void setCincbid(String cincbid) {
        this.cincbid = cincbid;
    }

    public String getCincorpid() {
        return cincorpid;
    }

    public void setCincorpid(String cincorpid) {
        this.cincorpid = cincorpid;
    }

    public String getCinwhid() {
        return cinwhid;
    }

    public void setCinwhid(String cinwhid) {
        this.cinwhid = cinwhid;
    }

    public String getClastmodifierid() {
        return clastmodifierid;
    }

    public void setClastmodifierid(String clastmodifierid) {
        this.clastmodifierid = clastmodifierid;
    }

    public String getCoperatorid() {
        return coperatorid;
    }

    public void setCoperatorid(String coperatorid) {
        this.coperatorid = coperatorid;
    }

    public String getCoutcbid() {
        return coutcbid;
    }

    public void setCoutcbid(String coutcbid) {
        this.coutcbid = coutcbid;
    }

    public String getCoutcorpid() {
        return coutcorpid;
    }

    public void setCoutcorpid(String coutcorpid) {
        this.coutcorpid = coutcorpid;
    }

    public String getCoutcurrtype() {
        return coutcurrtype;
    }

    public void setCoutcurrtype(String coutcurrtype) {
        this.coutcurrtype = coutcurrtype;
    }

    public String getCoutwhid() {
        return coutwhid;
    }

    public void setCoutwhid(String coutwhid) {
        this.coutwhid = coutwhid;
    }

    public String getCprojectid() {
        return cprojectid;
    }

    public void setCprojectid(String cprojectid) {
        this.cprojectid = cprojectid;
    }

    public String getCreviser() {
        return creviser;
    }

    public void setCreviser(String creviser) {
        this.creviser = creviser;
    }

    public String getCsettlepathid() {
        return csettlepathid;
    }

    public void setCsettlepathid(String csettlepathid) {
        this.csettlepathid = csettlepathid;
    }

    public String getCsourcemodulename() {
        return csourcemodulename;
    }

    public void setCsourcemodulename(String csourcemodulename) {
        this.csourcemodulename = csourcemodulename;
    }

    public String getCtakeoutcbid() {
        return ctakeoutcbid;
    }

    public void setCtakeoutcbid(String ctakeoutcbid) {
        this.ctakeoutcbid = ctakeoutcbid;
    }

    public String getCtakeoutcorpid() {
        return ctakeoutcorpid;
    }

    public void setCtakeoutcorpid(String ctakeoutcorpid) {
        this.ctakeoutcorpid = ctakeoutcorpid;
    }

    public String getCtypecode() {
        return ctypecode;
    }

    public void setCtypecode(String ctypecode) {
        this.ctypecode = ctypecode;
    }

    public String getDauditdate() {
        return dauditdate;
    }

    public void setDauditdate(String dauditdate) {
        this.dauditdate = dauditdate;
    }

    public String getDbilldate() {
        return dbilldate;
    }

    public void setDbilldate(String dbilldate) {
        this.dbilldate = dbilldate;
    }

    public String getDplanbindate() {
        return dplanbindate;
    }

    public void setDplanbindate(String dplanbindate) {
        this.dplanbindate = dplanbindate;
    }

    public String getDplanenddate() {
        return dplanenddate;
    }

    public void setDplanenddate(String dplanenddate) {
        this.dplanenddate = dplanenddate;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public String getDrevisetime() {
        return drevisetime;
    }

    public void setDrevisetime(String drevisetime) {
        this.drevisetime = drevisetime;
    }

    public Integer getFallocflag() {
        return fallocflag;
    }

    public void setFallocflag(Integer fallocflag) {
        this.fallocflag = fallocflag;
    }

    public Integer getFoiwastpartflag() {
        return foiwastpartflag;
    }

    public void setFoiwastpartflag(Integer foiwastpartflag) {
        this.foiwastpartflag = foiwastpartflag;
    }

    public Integer getFotwastpartflag() {
        return fotwastpartflag;
    }

    public void setFotwastpartflag(Integer fotwastpartflag) {
        this.fotwastpartflag = fotwastpartflag;
    }

    public Integer getFstatusflag() {
        return fstatusflag;
    }

    public void setFstatusflag(Integer fstatusflag) {
        this.fstatusflag = fstatusflag;
    }

    public Integer getIprintcount() {
        return iprintcount;
    }

    public void setIprintcount(Integer iprintcount) {
        this.iprintcount = iprintcount;
    }

    public Integer getIversion() {
        return iversion;
    }

    public void setIversion(Integer iversion) {
        this.iversion = iversion;
    }

    public Double getNexchangeotoarate() {
        return nexchangeotoarate;
    }

    public void setNexchangeotoarate(Double nexchangeotoarate) {
        this.nexchangeotoarate = nexchangeotoarate;
    }

    public Double getNexchangeotobrate() {
        return nexchangeotobrate;
    }

    public void setNexchangeotobrate(Double nexchangeotobrate) {
        this.nexchangeotobrate = nexchangeotobrate;
    }

    public Double getNtotalmny() {
        return ntotalmny;
    }

    public void setNtotalmny(Double ntotalmny) {
        this.ntotalmny = ntotalmny;
    }

    public Double getNtotalnum() {
        return ntotalnum;
    }

    public void setNtotalnum(Double ntotalnum) {
        this.ntotalnum = ntotalnum;
    }

    public String getPkDefdoc1() {
        return pkDefdoc1;
    }

    public void setPkDefdoc1(String pkDefdoc1) {
        this.pkDefdoc1 = pkDefdoc1;
    }

    public String getPkDefdoc10() {
        return pkDefdoc10;
    }

    public void setPkDefdoc10(String pkDefdoc10) {
        this.pkDefdoc10 = pkDefdoc10;
    }

    public String getPkDefdoc11() {
        return pkDefdoc11;
    }

    public void setPkDefdoc11(String pkDefdoc11) {
        this.pkDefdoc11 = pkDefdoc11;
    }

    public String getPkDefdoc12() {
        return pkDefdoc12;
    }

    public void setPkDefdoc12(String pkDefdoc12) {
        this.pkDefdoc12 = pkDefdoc12;
    }

    public String getPkDefdoc13() {
        return pkDefdoc13;
    }

    public void setPkDefdoc13(String pkDefdoc13) {
        this.pkDefdoc13 = pkDefdoc13;
    }

    public String getPkDefdoc14() {
        return pkDefdoc14;
    }

    public void setPkDefdoc14(String pkDefdoc14) {
        this.pkDefdoc14 = pkDefdoc14;
    }

    public String getPkDefdoc15() {
        return pkDefdoc15;
    }

    public void setPkDefdoc15(String pkDefdoc15) {
        this.pkDefdoc15 = pkDefdoc15;
    }

    public String getPkDefdoc16() {
        return pkDefdoc16;
    }

    public void setPkDefdoc16(String pkDefdoc16) {
        this.pkDefdoc16 = pkDefdoc16;
    }

    public String getPkDefdoc17() {
        return pkDefdoc17;
    }

    public void setPkDefdoc17(String pkDefdoc17) {
        this.pkDefdoc17 = pkDefdoc17;
    }

    public String getPkDefdoc18() {
        return pkDefdoc18;
    }

    public void setPkDefdoc18(String pkDefdoc18) {
        this.pkDefdoc18 = pkDefdoc18;
    }

    public String getPkDefdoc19() {
        return pkDefdoc19;
    }

    public void setPkDefdoc19(String pkDefdoc19) {
        this.pkDefdoc19 = pkDefdoc19;
    }

    public String getPkDefdoc2() {
        return pkDefdoc2;
    }

    public void setPkDefdoc2(String pkDefdoc2) {
        this.pkDefdoc2 = pkDefdoc2;
    }

    public String getPkDefdoc20() {
        return pkDefdoc20;
    }

    public void setPkDefdoc20(String pkDefdoc20) {
        this.pkDefdoc20 = pkDefdoc20;
    }

    public String getPkDefdoc3() {
        return pkDefdoc3;
    }

    public void setPkDefdoc3(String pkDefdoc3) {
        this.pkDefdoc3 = pkDefdoc3;
    }

    public String getPkDefdoc4() {
        return pkDefdoc4;
    }

    public void setPkDefdoc4(String pkDefdoc4) {
        this.pkDefdoc4 = pkDefdoc4;
    }

    public String getPkDefdoc5() {
        return pkDefdoc5;
    }

    public void setPkDefdoc5(String pkDefdoc5) {
        this.pkDefdoc5 = pkDefdoc5;
    }

    public String getPkDefdoc6() {
        return pkDefdoc6;
    }

    public void setPkDefdoc6(String pkDefdoc6) {
        this.pkDefdoc6 = pkDefdoc6;
    }

    public String getPkDefdoc7() {
        return pkDefdoc7;
    }

    public void setPkDefdoc7(String pkDefdoc7) {
        this.pkDefdoc7 = pkDefdoc7;
    }

    public String getPkDefdoc8() {
        return pkDefdoc8;
    }

    public void setPkDefdoc8(String pkDefdoc8) {
        this.pkDefdoc8 = pkDefdoc8;
    }

    public String getPkDefdoc9() {
        return pkDefdoc9;
    }

    public void setPkDefdoc9(String pkDefdoc9) {
        this.pkDefdoc9 = pkDefdoc9;
    }

    public String getTaudittime() {
        return taudittime;
    }

    public void setTaudittime(String taudittime) {
        this.taudittime = taudittime;
    }

    public String getTlastmodifytime() {
        return tlastmodifytime;
    }

    public void setTlastmodifytime(String tlastmodifytime) {
        this.tlastmodifytime = tlastmodifytime;
    }

    public String getTmaketime() {
        return tmaketime;
    }

    public void setTmaketime(String tmaketime) {
        this.tmaketime = tmaketime;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVcode() {
        return vcode;
    }

    public void setVcode(String vcode) {
        this.vcode = vcode;
    }

    public String getVdef1() {
        return vdef1;
    }

    public void setVdef1(String vdef1) {
        this.vdef1 = vdef1;
    }

    public String getVdef10() {
        return vdef10;
    }

    public void setVdef10(String vdef10) {
        this.vdef10 = vdef10;
    }

    public String getVdef11() {
        return vdef11;
    }

    public void setVdef11(String vdef11) {
        this.vdef11 = vdef11;
    }

    public String getVdef12() {
        return vdef12;
    }

    public void setVdef12(String vdef12) {
        this.vdef12 = vdef12;
    }

    public String getVdef13() {
        return vdef13;
    }

    public void setVdef13(String vdef13) {
        this.vdef13 = vdef13;
    }

    public String getVdef14() {
        return vdef14;
    }

    public void setVdef14(String vdef14) {
        this.vdef14 = vdef14;
    }

    public String getVdef15() {
        return vdef15;
    }

    public void setVdef15(String vdef15) {
        this.vdef15 = vdef15;
    }

    public String getVdef16() {
        return vdef16;
    }

    public void setVdef16(String vdef16) {
        this.vdef16 = vdef16;
    }

    public String getVdef17() {
        return vdef17;
    }

    public void setVdef17(String vdef17) {
        this.vdef17 = vdef17;
    }

    public String getVdef18() {
        return vdef18;
    }

    public void setVdef18(String vdef18) {
        this.vdef18 = vdef18;
    }

    public String getVdef19() {
        return vdef19;
    }

    public void setVdef19(String vdef19) {
        this.vdef19 = vdef19;
    }

    public String getVdef2() {
        return vdef2;
    }

    public void setVdef2(String vdef2) {
        this.vdef2 = vdef2;
    }

    public String getVdef20() {
        return vdef20;
    }

    public void setVdef20(String vdef20) {
        this.vdef20 = vdef20;
    }

    public String getVdef3() {
        return vdef3;
    }

    public void setVdef3(String vdef3) {
        this.vdef3 = vdef3;
    }

    public String getVdef4() {
        return vdef4;
    }

    public void setVdef4(String vdef4) {
        this.vdef4 = vdef4;
    }

    public String getVdef5() {
        return vdef5;
    }

    public void setVdef5(String vdef5) {
        this.vdef5 = vdef5;
    }

    public String getVdef6() {
        return vdef6;
    }

    public void setVdef6(String vdef6) {
        this.vdef6 = vdef6;
    }

    public String getVdef7() {
        return vdef7;
    }

    public void setVdef7(String vdef7) {
        this.vdef7 = vdef7;
    }

    public String getVdef8() {
        return vdef8;
    }

    public void setVdef8(String vdef8) {
        this.vdef8 = vdef8;
    }

    public String getVdef9() {
        return vdef9;
    }

    public void setVdef9(String vdef9) {
        this.vdef9 = vdef9;
    }

    public String getVnote() {
        return vnote;
    }

    public void setVnote(String vnote) {
        this.vnote = vnote;
    }

    public String getVrevisereasonH() {
        return vrevisereasonH;
    }

    public void setVrevisereasonH(String vrevisereasonH) {
        this.vrevisereasonH = vrevisereasonH;
    }

    public String getStart_time_dbilldate() {
        return start_time_dbilldate;
    }

    public void setStart_time_dbilldate(String start_time_dbilldate) {
        this.start_time_dbilldate = start_time_dbilldate;
    }

    public String getEnd_time_dbilldate() {
        return end_time_dbilldate;
    }

    public void setEnd_time_dbilldate(String end_time_dbilldate) {
        this.end_time_dbilldate = end_time_dbilldate;
    }
}

